Bug 813559 - (CVE-2012-0883) CVE-2012-0883 httpd: insecure handling of LD_LIBRARY_PATH in envvars
CVE-2012-0883 httpd: insecure handling of LD_LIBRARY_PATH in envvars
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120302,reported=2...
: Security
Depends On:
Blocks: 813560 881519
  Show dependency treegraph
 
Reported: 2012-04-17 17:19 EDT by Vincent Danen
Modified: 2014-04-23 02:25 EDT (History)
11 users (show)

See Also:
Fixed In Version: httpd 2.2.23, httpd 2.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 20:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-17 17:19:14 EDT
A flaw was noted in the Apache 2.4.2 release announcement [1] as fixed [2], where insecure handling of LD_LIBRARY_PATH could lead to the current working directory being searched for DSOs.  This could lead to the arbitrary execution of code as the user running the httpd server (typically the unprivileged user, apache).

This flaw also affects older releases.  Red Hat Enterprise Linux and Fedora httpd packages are unaffected due to the httpd-*-apctl.patch being applied (which removes support for reading in the envvars file, where this flaw originates).

[1] http://thread.gmane.org/gmane.comp.apache.devel/48158
[2] http://svn.apache.org/viewvc?view=revision&revision=1296428
Comment 2 Tomas Hoger 2012-04-18 06:08:44 EDT
(In reply to comment #0)
> This could lead to the arbitrary execution of code as the user running the
> httpd server (typically the unprivileged user, apache).

Incorrect LD_LIBRARY_PATH setting is made in apachectl script, which is expected to be run by system administrator.  Hence this may allow code execution as root if administrator runs apachectl in an untrusted directory (e.g. /tmp).

Statement:

Not vulnerable. This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 3, 4, 5 and 6.
Comment 9 errata-xmlrpc 2012-12-18 17:53:12 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2012:1594 https://rhn.redhat.com/errata/RHSA-2012-1594.html

Note You need to log in before you can comment on or make changes to this bug.